import { LightizUIComponent } from "./base.js";
export interface ModalAction {
    type: 'toggle' | 'open' | 'close';
}
export declare class LightizUIModal extends LightizUIComponent {
    element: HTMLElement;
    contents: HTMLElement | null;
    overlay: HTMLDivElement | null;
    constructor(element: HTMLElement);
    static generator(element: HTMLElement): LightizUIModal;
    open(): void;
    close(): void;
    toggle(): void;
    action(info: ModalAction): void;
}
