import { LightizUIComponent } from "./base.js";
interface TabAction {
    type: 'active';
    trigger: HTMLElement;
}
interface LightizUITabData {
    id: string;
    isObserve: boolean;
    activeItem: HTMLElement;
    index: number;
}
export declare class LightizUITab extends LightizUIComponent {
    element: HTMLElement;
    indicator: HTMLElement;
    metadata: LightizUITabData;
    constructor(element: HTMLElement);
    static generator(element: HTMLElement): LightizUITab;
    private _setup;
    updateIndicator(anchor?: HTMLElement): void;
    getActiveItem(): HTMLElement | null;
    inactiveAll(): void;
    setTabByIndex(index: number, force?: boolean): void;
    active(element: HTMLElement): void;
    action(info: TabAction): void;
}
export {};
