import { LightizUIOverlay } from './overlay.js';
import { LightizUIComponent } from "./base.js";
interface OffcanvasAction {
    type: 'toggle' | 'open' | 'close';
}
interface LightizUIOffcanvasData {
    overlay: LightizUIOverlay;
}
export declare class LightizUIOffcanvas extends LightizUIComponent {
    element: HTMLElement;
    data: LightizUIOffcanvasData;
    constructor(element: HTMLElement);
    static generator(element: HTMLElement): LightizUIOffcanvas;
    open(): void;
    close(): void;
    toggle(): void;
    action(info: OffcanvasAction): void;
}
export {};
