import { LightizUIComponent } from "./base.js";
interface ProgressBarAction {
    type: 'increase' | 'set' | 'decrease';
    options: string[];
}
interface LightizUIProgressBarData {
    current: number;
}
export declare class LightizUIProgressBar extends LightizUIComponent {
    element: HTMLElement;
    data: LightizUIProgressBarData;
    constructor(element: HTMLElement);
    static generator(element: HTMLElement): LightizUIProgressBar;
    updateText(): void;
    increase(value: number): void;
    decrease(value: number): void;
    set(value: number): void;
    action(info: ProgressBarAction): void;
}
export {};
