import { LightizUIComponent } from "./base.js";
interface ToastAction {
    type: 'toggle' | 'show' | 'hide';
    options?: any[];
}
export declare class LightizUIToast extends LightizUIComponent {
    element: HTMLElement;
    constructor(element: HTMLElement);
    static generator(element: HTMLElement): LightizUIToast;
    static create(message: string, type: string): LightizUIToast;
    show(): void;
    hide(remove?: boolean): void;
    toggle(): void;
    action(info: ToastAction): void;
}
export {};
